<?
/*######################################################
2004 SAMEDIA O.E.  (central@samedia.net)
check_settings.php
Integrity check file.
#######################################################*/
define("G_INSTALL_DIR","../../");
if(!@is_file(G_INSTALL_DIR . "include/config.inc"))
  {
  echo "<h1 style='font-color:red'>Configuration File is in an unexpected place</h1>";
  echo "<h4 style='font-color:red'>It must be in the directory \"include\" under your installation directory</4>";
  exit;
  }
else
  {
  include_once(G_INSTALL_DIR . "include/config.inc");
  include_once(G_INSTALL_DIR .  "include/char.fnc");
  }

/* function set_exit(Parameters, Parser Object Handle)
Outputs an error page and exits
*/
function set_exit($params,$STP)
  {
  global $frame;
  $frags['CONTENT'] = G_ADMINTEMPLATES."/settings_error.tmpl";
  $STP->SetParams($params);
  $STP->Assemble($frame, $frags);
  $STP->ParseandEchoPHP();

  exit;
  }

if($_POST['action'] == 'prune_tmp') {
  /* Automatic Cleanup of temporary files and Wishlist entries*/
  $days = ($_POST['days'] == '') ? 1 : $_POST['days'];
  $daystamp = ($days * 60 * 60 * 24);
  $td = opendir(G_TMP_DIR);
  while($fl = readdir($td))
    {
    if(!ereg("^\.",$fl) and filemtime(G_TMP_DIR."/" . $fl) > (time() - $daystamp))
      {
      unlink(G_TMP_DIR."/" . $fl);
      }
    }
  $getE = "delete from " . G_DB_PREFIX . "WISHLIST where DATE(WI_UD) < (DATE_ADD(NOW(), INTERVAL -1 DAY)";

  $ggE = $conn->update($getE, G_NORMDB);
/**** END CLEANUP ***/
  pxRedirect("Old Wishlist entries deleted",G_PHPSELF);

  }
  
if($_POST['action'] == 'enter') {
  foreach($_POST as $pname=>$pval)  {
    if(ereg("^G_", $pname)) {
      $ud = "REPLACE into " . G_DB_PREFIX . "CONFIG values('" . px_htmlspecialchars($pname) . "',
      '" . px_htmlspecialchars($pval) . "')";
      $gud = $conn->update($ud, G_NORMDB);
      }
    }
  pxRedirect("Configuration updated",G_PHPSELF);
  }
  
// PREPARE SELECT Menus
$mapuse = "<option value='Y'>Y
<option value='N'>N";


$frame = G_ADMINTEMPLATES."/standard.tmpl";

$i = 0;
if(!@is_readable(G_INSTALL_DIR."/include/config.inc"))
  {
  $params['ERR'][$i]['HEAD'] = "Cannot open the configuration file \"config.inc\" for reading";
  $params['ERR'][$i]['TEXT'] = "Please check the permissions";
  set_exit($params,$STP);
  }
if(!@is_dir(G_INSTALL_DIR))
  {
  $params['ERR'][$i]['HEAD'] = "Installation directory does not exist";
  $params['ERR'][$i]['TEXT'] = "Please check the Constant 'G_INSTALL_DIR'";
  set_exit($params,$STP);
  }
if(!@fopen(G_BASEURL."/images/nopicture.png","r"))
  {
  $params['ERR'][$i]['HEAD'] = "Start URL " . G_BASEURL." does not exist";
  $params['ERR'][$i]['TEXT'] = "Please check the Constant 'G_BASEURL'";
  $i++;
  }
if(!@is_dir(G_ADMINTEMPLATES))
  {
  $params['ERR'][$i]['HEAD'] = "Directory with administration Templates does not exist";
  $params['ERR'][$i]['TEXT'] = "Please check the Constant 'G_ADMINTEMPLATES'";
  $i++;
  }
if(!$Link_ID = @mysql_connect(G_HOST, G_DBUSER, G_DBPWD))
  {
  $params['ERR'][$i]['HEAD'] = "Could not connect to database.";
  $params['ERR'][$i]['TEXT'] = "Please check the Constants 'G_HOST', 'G_DBUSER' and 'G_DBUSER'";
  $i++;
  }
else if(!@mysql_select_db(G_NORMDB))
  {
  $params['ERR'][$i]['HEAD'] = "Could not find the standard database.";
  $params['ERR'][$i]['TEXT'] = "Please check the Constant 'G_NORMDB'";
  $i++;
  }
  
// If the Tables don't exist we have to install first!
else  {
  $st = "show tables like '" . G_DB_PREFIX. "%'";
  $gst = $conn->query($st, G_NORMDB);
  if(!is_array($gst) || count($gst) < 2)  {
    Header("Location:install.php");
    }
  }

/***********************************************
 Check the environment
***********************************************/
if(!@is_dir(G_INSTALL_DIR."/object_images"))
  {
  if(!@mkdir(G_INSTALL_DIR."/object_images"))
    {
    $params['ERR'][$i]['HEAD'] = "Object Image directory '" . G_INSTALL_DIR."/object_images' does not exist";
    $params['ERR'][$i]['TEXT'] = "...And I could not create it for you.<br>
    Please create it manually and set the permissions to world writeable ('drwxr-xrwx') or set the directory
    ".G_INSTALL_DIR . " to world writeable and run this URL again.";
    $i++;
    }
  else
    {
    @chmod(G_INSTALL_DIR."/object_images",0777);
    @mkdir(G_INSTALL_DIR."/object_images/thumbs");
    @chmod(G_INSTALL_DIR."/object_images/thumbs",0777);
    @mkdir(G_INSTALL_DIR."/object_images/medium");
    @chmod(G_INSTALL_DIR."/object_images/medium",0777);
    @mkdir(G_INSTALL_DIR."/object_images/norm");
    @chmod(G_INSTALL_DIR."/object_images/norm",0777);
    }
  }
else if(!@is_writable(G_INSTALL_DIR."/object_images"))
  {
  $params['ERR'][$i]['HEAD'] = "Object Image directory '" . G_INSTALL_DIR."/object_images' is not writable by the server";
  $params['ERR'][$i]['TEXT'] = "Please set the permissions to world writeable ('drwxrwxrwx')";
  $i++;
  }
else
  {
  if(!@is_writable(G_INSTALL_DIR."/object_images/thumbs"))
    {
    $params['ERR'][$i]['HEAD'] = "Object Image directory '" . G_INSTALL_DIR."/object_images/thumbs' does not exist or is not writable by the server";
    $params['ERR'][$i]['TEXT'] = "Please set the permissions to world writeable ('drwxrwxrwx')";
    $i++;
    }
  if(!@is_writable(G_INSTALL_DIR."/object_images/medium"))
    {
    $params['ERR'][$i]['HEAD'] = "Object Image directory '" . G_INSTALL_DIR."/object_images/medium' does not exist or is not writable by the server";
    $params['ERR'][$i]['TEXT'] = "Please set the permissions to world writeable ('drwxrwxrwx')";
    $i++;
    }
  if(!@is_writable(G_INSTALL_DIR."/object_images/norm"))
    {
    $params['ERR'][$i]['HEAD'] = "Object Image directory '" . G_INSTALL_DIR."/object_images/norm' does not exist or is not writable by the server";
    $params['ERR'][$i]['TEXT'] = "Please set the permissions to world writeable ('drwxrwxrwx')";
    $i++;
    }
  }

if(!@is_dir(G_INSTALL_DIR."/tmp"))
  {
  if(!@mkdir(G_INSTALL_DIR."/tmp"))
    {
    $params['ERR'][$i]['HEAD'] = "Temporary directory '" . G_INSTALL_DIR."/tmp' does not exist";
    $params['ERR'][$i]['TEXT'] = "...And I could not create it for you.<br>
    Please create it manually and set the permissions to world writeable ('drwxrwxrwx') or set the directory
    ".G_INSTALL_DIR . " to world writeable and run this URL again.";
    $i++;
    }
  else
    {
    @chmod(G_INSTALL_DIR."/tmp",0777);
    }
  }
else if(!@is_writable(G_INSTALL_DIR."/tmp"))
  {
  $params['ERR'][$i]['HEAD'] = "Temporary directory '" . G_INSTALL_DIR."/tmp' is not writable by the server";
  $params['ERR'][$i]['TEXT'] = "Please set the permissions to world writeable ('drwxrwxrwx')";
  $i++;
  }

if(!@is_writable(G_INSTALL_DIR."/cache"))
  {
  $params['ERR'][$i]['HEAD'] = "Cache directory '" . G_INSTALL_DIR."/cache' is not writable by the server";
  $params['ERR'][$i]['TEXT'] = "Please set the permissions to world writeable ('drwxrwxrwx')";
  $i++;
  }
if(!@is_writable(G_INSTALL_DIR."/pdfs"))
  {
  $params['ERR'][$i]['HEAD'] = "PDF directory '" . G_INSTALL_DIR."/pdfs' is not writable by the server";
  $params['ERR'][$i]['TEXT'] = "Please set the permissions to world writeable ('drwxrwxrwx')";
  $i++;
  }
else  {
  foreach($langarray as $ll) {
    if(@!is_dir(G_INSTALL_DIR."/pdfs/" . $ll) && @!mkdir(G_INSTALL_DIR."/pdfs/" . $ll,0777))  {
      $params['ERR'][$i]['HEAD'] = "PDF directory '" . G_INSTALL_DIR."/pdfs/$ll' does not exist and I could not create it.";
      $params['ERR'][$i]['TEXT'] = "Please create it manually and set the permissions to world writeable ('drwxrwxrwx')";
      $i++;
      }
    elseif(!@is_writable(G_INSTALL_DIR."/pdfs/$ll"))  {
      $params['ERR'][$i]['HEAD'] = "PDF directory '" . G_INSTALL_DIR."/pdfs/$ll' is not writable by the server.";
      $params['ERR'][$i]['TEXT'] = "Please set the permissions to world writeable ('drwxrwxrwx')";
      $i++;
      }
    }
  }
if(!@is_file(G_INSTALL_DIR."/include/languages/".strtolower(G_USERLANG).".inc"))
  {
  $params['ERR'][$i]['HEAD'] = "Language file does not exist";
  $params['ERR'][$i]['TEXT'] = "Please check the Constant 'G_USERLANG'";
  $i++;
  }

if($i > 0)  set_exit($params,$STP);

/***********************************************
 Prepare template & output
***********************************************/

appendConstants();
$params['G_USEGOOGLEMAP_SEL'] = checkOpt($params['G_USEGOOGLEMAP'], $mapuse);

$frags['CONTENT'] = G_ADMINTEMPLATES."/config_list.tmpl";
$STP->Assemble($frame, $frags);
$STP->setParams($params);
$STP->parseAndEchoPHP();
?>
