<?
define("G_INSTALL_DIR","../../");
include_once(G_INSTALL_DIR . "include/config.inc");
include_once(G_INSTALL_DIR . "include/makedate.fnc");
include_once(G_INSTALL_DIR . "include/char.fnc");
$frame = G_ADMINTEMPLATES."/object_integrity.tmpl";


$request_string = "from " . G_DB_PREFIX . "OBJECTS A, 
       " . G_DB_PREFIX . "OBJECT_TR B
       where A.OB_ID=B.OTR_OBJECTID and B.OTR_LANG='" . G_USERLANG . "'";
$cts = $conn->single("select count(*) as CT $request_string", G_NORMDB);
$ctt = $cts['CT'];
$gs = "select A.OB_ID, B.OTR_HEAD $request_string order by OTR_HEAD";
$ggs = $conn->query($gs, G_NORMDB);
for($i = 0;$i < count($ggs);$i++)
  {
  unset($pics);
  $params['HITS'][$i] = $ggs[$i];
  $obid = $ggs[$i]['OB_ID'];
  /* CHECK 1: Images */
  $pdir = opendir(G_NORM_PATH);
  while($drr = readdir($pdir))
    {
    if(ereg("^(".$obid."_[1-5].jpg)$",$drr,$pc))
      {
      $pics['NORM'][] = $pc[1];
      }
    }
  closedir($pdir);
  $pdir = opendir(G_MEDIUM_PATH);
  while($drr = readdir($pdir))
    {
    if(ereg("^(".$obid."_[1-5].jpg)$",$drr,$pc))
      {
      $pics['MEDIUM'][] = $pc[1];
      }
    }
  closedir($pdir);
  $pdir = opendir(G_THUMB_PATH);
  while($drr = readdir($pdir))
    {
    if(ereg("^(".$obid."_[1-5].jpg)$",$drr,$pc))
      {
      $pics['THUMB'][] = $pc[1];
      }
    }
  closedir($pdir);
  if(!is_array($pics))
    {
    $warn = 1;
    $warntext .= "No images.<br>\n";
    }
  if(count($pics['NORM']) != count($pics['MEDIUM'])  or count($pics['NORM']) != count($pics['THUMB']))
    {
    $warn = 1;
    $warntext .= "Different number of images in the Thumbnail- Medium size- and Large directories.<br>\n";
    }
  /* END CHECK 1: Images */
  /* CHECK 2: Object Basics defined? */
  $gd = $conn->single("select OB_AREAID, OB_CATID, OB_SQM, OB_PRICE, OB_MAPX 
    from " . G_DB_PREFIX . "OBJECTS where OB_ID=$obid", G_NORMDB);
  if($gd['OB_AREAID'] < 1)
    {
    $dead = 1;
    $warntext .= "No Area set.<br>\n";
    }
  else
    {
    $arr = $conn->query("select TR_REFID from " . G_DB_PREFIX . "TRANSLATION 
       where TR_REFNAME='AREA_ID'
       and TR_REFID=".$gd['OB_AREAID'], G_NORMDB);
    if(count($arr) < 1)
      {
      $dead = 1;
      $warntext .= "The Area set does not exist.<br>\n";
      }
    }
  if($gd['OB_CATID'] < 1)
    {
    $dead = 1;
    $warntext .= "No Category set.<br>.\n";
    }
  if($gd['OB_SQM'] < 1)
    {
    $warn = 1;
    $warntext .= "Square Meters not set.<br>\n";
    }
  if($gd['OB_PRICE'] < 1)
    {
    $warn = 1;
    $warntext .= "Price not set.<br>\n";
    }
  if($gd['OB_MAPX'] < 1)
    {
    $warn = 1;
    $warntext .= "Location not set on Map.<br>\n";
    }
  /* END CHECK 2: Object Basics */
  /* CHECK 3: Object Translations? */
  $g3 = $conn->query("select * from " . G_DB_PREFIX . "OBJECT_TR 
      where OTR_OBJECTID=$obid", G_NORMDB);
  if(count($g3) < 1)
    {
    $dead = 1;
    $warntext .= "No Text set.<br>\n";
    }
  else
    {
    $existing_langs = array();
    for($u = 0;$u < count($g3);$u++)
      {
      $existing_langs[] = strtolower($g3[$u]['OTR_LANG']);
      }
    foreach($langarray as $Ls)
      {
      if(!in_array(strtolower($Ls), $existing_langs)) {
        $langnotfound = 1;
        $dead = 1;
        $warntext .= "No Text for Language \'$Ls\' set.<br>\n";
        }
      }
    }
  if($langnotfound == '') {
    for($u = 0;$u < count($g3);$u++)
     {
     foreach($langarray as $Ls)
       {
       if($g3[$u]['OTR_LANG'] == $Ls)
         {
         if($g3[$u]['OTR_HEAD'] == '')
           {
           $dead = 1;
           $warntext .= "No Title for Language \'$Ls\' set.<br>\n";
           }
         if($g3[$u]['OTR_SHORTTEXT'] == '' and $g3[$u]['OTR_LONGTEXT'] == '')
           {
           $dead = 1;
           $warntext .= "No Description for Language \'$Ls\' set.<br>\n";
           }
         if($g3[$u]['OTR_CITY'] == '')
           {
           $dead = 1;
           $warntext .= "No City for Language \'$Ls\' set.<br>\n";
           }
         }  // end if($g3[$u]['OTR_LANG'] == $Ls)
       } // end foreach($allowed_langs as $Ls=>$Ll)
     }  // end for($u = 0;$u < count($g3);$u++)
    }  // END else (count($g3) < 1)
  /* END CHECK 3: Object Translations */
  if($dead == 1)      $params['HITS'][$i]['LIGHT'] = "red";
  else if($warn == 1) $params['HITS'][$i]['LIGHT'] = "yellow";
  else                $params['HITS'][$i]['LIGHT'] = "green";
  $params['HITS'][$i]['WARNTEXT'] = $warntext;
  unset($warntext, $warn, $dead);
  } // END for($i = 0;$i < count($ggs);$i++)
$params['TOTAL'] = $ctt;

//echo var_dump($params);
//exit;

$STP->SetParams($params);
$STP->SetTemplate($frame);
$STP->ParseandEchoPHP();

?>
