<?

/* function FormatDate($datearr,$form)
   Takes the string $datearr from a MYSQl Timestamp (e.g. "20011011091222")
   and returs the actual date formatted as $form says
   $form can be GER (default) or EN
   GER: 11.10.2001 09:12:22
   EN: 2001-10-11 09:12:22
*/
function FormatDate($datearr,$output='nice',$form='GER',$verb = 'long')
  {
  ereg("([0-9]{4})([0-9]{2})([0-9]{2})([0-9]{2})([0-9]{2})([0-9]{2})",$datearr,$cd);
  if($output != 'nice')
    {
    array_shift($cd);
    return $cd;
    }
  else
    {
    if($form=='EN')
      {
      $out = $cd[1]."-".$cd[2]."-".$cd[3];
      if($verb == 'long')
        {
        $out .= " ".$cd[4].":".$cd[5].":".$cd[6];
        }
      }
    if($form=='GER')
      {
      $out = $cd[3].".".$cd[2].".".$cd[1];
      if($verb == 'long')
        {
        $out .= " ".$cd[4].":".$cd[5].":".$cd[6];
        }
      }
    return $out;
    }
  }

# Macht aus dem MYSQL-Datum '1999-02-14 00:00:00' 
# ein 'normales' Datum
function FormatMYSQLDate($datearr,$output='nice',$format='GER',$verb = 'long')
  {
  ereg("([0-9]{4})-([0-9]{2})-([0-9]{2}) ([0-9]{2}):([0-9]{2}):([0-9]{2})",$datearr,$cd);
  if($output != 'nice')
    {
    array_shift($cd);
    return $cd;
    }
  else
    {
    if($format=='EN')
      {
      $out = $cd[3]."/".$cd[2]."/".$cd[1];
      if($verb == 'long')
        {
        $out .= " ".$cd[4].":".$cd[5].":".$cd[6];
        }
      }
    if($format=='GER')
      {
      $out = $cd[3].".".$cd[2].".".$cd[1];
      if($verb == 'long')
        {
        $out .= " ".$cd[4].":".$cd[5].":".$cd[6];
        }
      }
    return $out;
    }
  }

## Scramble - simple scrambling function
## Scrambles text to become unreadable for sourcecode readers.
## Gets descrambled either by the UnScramble function or by 
## scramble.js:
/* START scramble.js #################
*/
 /* ###########################################  */
##  CheckOpt(VAL,)
##  ersetzt einen OPTION - tag durch einen selektierten <OPTION-tag
##  uebergeben:
##  - der zu selektierende Wert VAL
##  - der String OPTIONS
##  Rueckgabe: der OPTIONS-String mit dem korrekt selektierten Feld

function CheckOpt($val,$option)
  {
  $out = eregi_replace("<OPTION VALUE='".$val."'", "<OPTION VALUE='".$val."' selected",$option);
  return $out;
  }

/* FormatPrice ***********************************
Formats a Decimal value as a price Tag: 122.880,00 */

function FormatPrice($rawprice)
  {
  if(ereg("^([^\.]+)\.([0-9]+)$",$rawprice,$part))
    {
    list($all,$whole,$dec) = $part;
    }
  else
    {
    $whole = $rawprice;
    }
  if(strlen($whole) > 3)
    {
    $whole = substr($whole,0,(strlen($whole) - 3)) . "." .substr($whole,(strlen($whole) - 3),3);
    }
  if($dec == '') $dec = "00";
  else if(strlen($dec) == 1) $dec = $dec . "0";
  else if(strlen($dec) > 2)  $dec = round($dec);
  return($whole . ",".$dec);
  }


?>
