<?php
/*
Gets the userdata from the id held by the cookie.
Returns array with all userdata on success, 0 otherwise */
function getUserData($id, $passwdhash)  {
  global $conn;
  $sel = $conn->single("select * from " . G_DB_PREFIX . "USERS where USR_ID='" . $id . "'", G_NORMDB);
  if($sel['USR_ID'] < 1)   {
    return 0;
    }
  else  {
/*    echo "$passwdhash and " . md5(G_COOKIE_SEED.$sel['USR_PWD']);
    echo "<br /> " . $sel['USR_PWD'];*/
    if(md5(G_COOKIE_SEED.$sel['USR_PWD']) !== $passwdhash)  {
      return 0;
      }
    else  {
      return $sel;
      }
    }
  }
  
/* 
Checks if there is a cookie.
If so returns the value, if not directs to the login Page
*/
function checkAdminLogin() {
  if (isset($_COOKIE["ADMIN"]))  {
    list($id,$pwd) = @unserialize(stripslashes($_COOKIE["ADMIN"]));
    $userdata = getUserData($id, $pwd);
    if(!is_array($userdata))  {
      Header("Location:".G_ADMIN_URL."/action/login.php");
      exit;
      }
    }
  elseif($_SERVER['SCRIPT_FILENAME'] != G_DOCROOT.'/login.php')  {
    Header("Location:".G_ADMIN_URL."/action/login.php");
    exit;
    }

  return $userdata;
  }
  
  
// APpends teh database Config content to the constant list
// creates a cache file if necessary
function appendConstants()  {
  global $conn;
  if(@!is_file(G_INSTALL_DIR."/cache/config.cache.php") or ereg("admin/action/config\.php", $_SERVER['PHP_SELF'])) {
    $df = fopen(G_INSTALL_DIR."/cache/config.cache.php","w");
    fputs($df,"<?\n");
    $gets = $conn->query("select * from " . G_DB_PREFIX . "CONFIG", G_NORMDB);
    for($i = 0;$i < count($gets);$i++)  {
      $params[$gets[$i]['CF_PARAM']] = $gets[$i]['CF_VALUE'];
      fputs($df, "if(!defined('" . $gets[$i]['CF_PARAM'] . "')) define('" . $gets[$i]['CF_PARAM'] . "', '" . $gets[$i]['CF_VALUE'] . "');\n");
      }
    fputs($df,"?>");
    fclose($df);
    }
  include_once(G_INSTALL_DIR."cache/config.cache.php");

  }
  
  
  
function setQuotes($val){
  if (get_magic_quotes_gpc()) {
    $val = stripslashes($val);
    }
  if (!is_numeric($val)) {
    $val = mysql_real_escape_string($val);
    }
  return $val;
  }
/*** The following are taken from Rickard Anderssons punBB http://www.punbb.org ***/
//
// Equivalent to htmlspecialchars(), but allows &#[0-9]+ (for unicode)
//
function px_htmlspecialchars($str)
{
  $str = preg_replace('/&(?!#[0-9]+;)/s', '&amp;', $str);
  $str = str_replace(array('<', '>', '"'), array('&lt;', '&gt;', '&quot;'), $str);

  return setQuotes($str);
}


//
// Equivalent to strlen(), but counts &#[0-9]+ as one character (for unicode)
//
function px_strlen($str)
{
  return strlen(preg_replace('/&#([0-9]+);/', '!', $str));
}


//
// Convert \r\n and \r to \n
//
function px_linebreaks($str)
{
  return str_replace("\r", "\n", str_replace("\r\n", "\n", $str));
}


//
// A more aggressive version of trim()
//
function px_trim($str)
{
  global $user_lang;
  if (strpos($user_lang['lang_encoding'], '8859') !== false)
  {
    $fishy_chars = array(chr(0x81), chr(0x8D), chr(0x8F), chr(0x90), chr(0x9D), chr(0xA0));
    return trim(str_replace($fishy_chars, ' ', $str));
  }
  else
    return trim($str);
}

function pxRedirect($text,$url,$instflag=0) {
  $TSMP = new parser2;
  if($instflag == 1)  {
    $text .= "<img src='http://www.script.gr/action/install.php?host=" . $_SERVER['HTTP_HOST'] . "&itemid=6' width='1' height='1'>";
    }
  $TSMP->setParams(array("TEXT"=>$text, "URL"=>$url,"WAIT_TIME"=>G_WAIT_TIME));
  $TSMP->setTemplate(G_TEMPLATES . "/redirect.tmpl");
  $TSMP->parseAndEchoPHP();
  exit;
  }

function error($msg, $file, $line, $statement='')  {
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html dir="ltr">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Error</title>
<style type="text/css">
<!--
BODY {MARGIN: 10% 20% auto 20%; font: 10px Verdana, Arial, Helvetica, sans-serif}
#errorbox {BORDER: 1px solid #B84623}
H2 {MARGIN: 0; COLOR: #FFFFFF; BACKGROUND-COLOR: #B84623; FONT-SIZE: 1.1em; PADDING: 5px 4px}
#errorbox DIV {PADDING: 6px 5px; BACKGROUND-COLOR: #F1F1F1}
-->
</style>
</head>
<body>

<div id="errorbox">
  <h2>Error</h2>
  <div>
<?php

  if (defined('G_DEBUG'))
  {
    echo "\t\t".'<strong>File:</strong> '.$file.'<br />'."\n\t\t".'<strong>Line:</strong> '.$line.'<br /><br />'."\n\t\t".$msg."\n<br /><br />".$statement."\n";
  }
  else
    echo "\t\t".'Error: <strong>'.$msg.'.</strong>'."\n";

?>
  </div>
</div>

</body>
</html>
<?php  
exit;
 }


?>