<?
function create_thumbnail($img_src, $new_image,
    $width, $height, $size) {

    if ($width >= $height) {
        $new_width = $size;
        $new_height = round(($new_width / $width) * $height);
    }
    else {
        $new_height = $size;
        $new_width = round(($new_height / $height) * $width);
    }

    $img_dst = imagecreatetruecolor($new_width, $new_height);
    imagecopyresampled($img_dst, $img_src, 0, 0, 0, 0, $new_width, $new_height,
        $width, $height);

    $return = 1;
    if (!imagejpeg($img_dst, $new_image)) {
        $return = 0;
    }

    imagedestroy($img_dst);

    return $return;
}
?>