<?
/*######################################################
2004 SAMEDIA O.E.  (central@samedia.net)
check_settings.php
Integrity check file.
#######################################################*/
define("G_INSTALL_DIR","../../");
if(!@is_file("../../include/config.inc"))
  {
  echo "<h1 style='font-color:red'>Configuration File is in an unexpected place</h1>";
  echo "<h4 style='font-color:red'>It must be in the directory \"include\" under your installation directory</4>";
  exit;
  }
else
  {
  include_once(G_INSTALL_DIR . "include/config.inc");
  }

/* function set_exit(Parameters, Parser Object Handle)
Outputs an error page and exits
*/
function set_exit($params,$STP)
  {
  $frame = G_ADMINTEMPLATES."/standard.tmpl";
  $frags['CONTENT'] = G_ADMINTEMPLATES."/settings_error.tmpl";
  $STP->SetParams($params);
  $STP->Assemble($frame, $frags);
  $STP->ParseandEchoPHP();

  //echo var_dump($params);

  exit;
  }


$i = 0;
if(!@is_readable(G_INSTALL_DIR."/include/config.inc"))
  {
  $params['ERR'][$i]['HEAD'] = "Cannot open the configuration file \"config.inc\" for reading";
  $params['ERR'][$i]['TEXT'] = "Please check the permissions";
  set_exit($params,$STP);
  }
else
  {
  $ll = @file(G_INSTALL_DIR."/include/config.inc");
  foreach($ll as $line)
    {
    if(ereg("^\$is_new ?= ?([0-9])",$line,$ch1))
      {
      if($ch1[1] == 1 and !@is_writable(G_INSTALL_DIR."/include/config.inc"))
        {
        $params['ERR'][$i]['HEAD'] = "The configuration file \"config.inc\" is not writable by the system";
        $params['ERR'][$i]['TEXT'] = "If you want to use the browser based setup
        you must make it writable by your web server.<br>Otherwise edit it manually and set the variable \$is_new to \"1\"";
        $i++;
        }
      }
    } // end foreach($ll as $line)
  }
if(!@is_dir(G_INSTALL_DIR))
  {
  $params['ERR'][$i]['HEAD'] = "Installation directory does not exist";
  $params['ERR'][$i]['TEXT'] = "Please check the Constant 'G_INSTALL_DIR'";
  set_exit($params,$STP);
  }
if(!@fopen(G_BASEURL."/index.htm","r"))
  {
  $params['ERR'][$i]['HEAD'] = "Start URL does not exist";
  $params['ERR'][$i]['TEXT'] = "Please check the Constant 'G_BASEURL'";
  $i++;
  }
if(!@is_file(G_INSTALL_DIR."/include/languages/".strtolower(G_USERLANG).".inc"))
  {
  $params['ERR'][$i]['HEAD'] = "Language file does not exist";
  $params['ERR'][$i]['TEXT'] = "Please check the Constant 'G_USERLANG'";
  $i++;
  }
if(!@is_dir(G_ADMINTEMPLATES))
  {
  $params['ERR'][$i]['HEAD'] = "Directory with administration Templates does not exist";
  $params['ERR'][$i]['TEXT'] = "Please check the Constant 'G_ADMINTEMPLATES'";
  $i++;
  }
if(!$Link_ID = @mysql_connect(G_HOST, G_DBUSER, G_DBPWD))
  {
  $params['ERR'][$i]['HEAD'] = "Could not connect to database.";
  $params['ERR'][$i]['TEXT'] = "Please check the Constants 'G_HOST', 'G_DBUSER' and 'G_DBUSER'";
  $i++;
  }
else if(!@mysql_select_db(G_NORMDB))
  {
  $params['ERR'][$i]['HEAD'] = "Could not find the standard database.";
  $params['ERR'][$i]['TEXT'] = "Please check the Constant 'G_NORMDB'";
  $i++;
  }

if(!@is_dir(G_INSTALL_DIR."/object_images"))
  {
  if(!@mkdir(G_INSTALL_DIR."/object_images"))
    {
    $params['ERR'][$i]['HEAD'] = "Object Image directory '" . G_INSTALL_DIR."/object_images' does not exist";
    $params['ERR'][$i]['TEXT'] = "...And I could not create it for you.<br>
    Please create it manually and set the permissions to world writeable ('drwxr-xrwx') or set the directory
    ".G_INSTALL_DIR . " to world writeable and run this URL again.";
    $i++;
    }
  else
    {
    @chmod(G_INSTALL_DIR."/object_images",0777);
    @mkdir(G_INSTALL_DIR."/object_images/thumbs");
    @chmod(G_INSTALL_DIR."/object_images/thumbs",0777);
    @mkdir(G_INSTALL_DIR."/object_images/medium");
    @chmod(G_INSTALL_DIR."/object_images/medium",0777);
    @mkdir(G_INSTALL_DIR."/object_images/norm");
    @chmod(G_INSTALL_DIR."/object_images/norm",0777);
    }
  }
else if(!@is_writable(G_INSTALL_DIR."/object_images"))
  {
  $params['ERR'][$i]['HEAD'] = "Object Image directory '" . G_INSTALL_DIR."/object_images' is not writable by the server";
  $params['ERR'][$i]['TEXT'] = "Please set the permissions to world writeable ('drwxr-xrwx')";
  $i++;
  }
else
  {
  if(!@is_writable(G_INSTALL_DIR."/object_images/thumbs"))
    {
    $params['ERR'][$i]['HEAD'] = "Object Image directory '" . G_INSTALL_DIR."/object_images/thumbs' does not exist or is not writable by the server";
    $params['ERR'][$i]['TEXT'] = "Please set the permissions to world writeable ('drwxr-xrwx')";
    $i++;
    }
  if(!@is_writable(G_INSTALL_DIR."/object_images/medium"))
    {
    $params['ERR'][$i]['HEAD'] = "Object Image directory '" . G_INSTALL_DIR."/object_images/medium' does not exist or is not writable by the server";
    $params['ERR'][$i]['TEXT'] = "Please set the permissions to world writeable ('drwxr-xrwx')";
    $i++;
    }
  if(!@is_writable(G_INSTALL_DIR."/object_images/norm"))
    {
    $params['ERR'][$i]['HEAD'] = "Object Image directory '" . G_INSTALL_DIR."/object_images/norm' does not exist or is not writable by the server";
    $params['ERR'][$i]['TEXT'] = "Please set the permissions to world writeable ('drwxr-xrwx')";
    $i++;
    }
  }

if(!@is_dir(G_INSTALL_DIR."/tmp"))
  {
  if(!@mkdir(G_INSTALL_DIR."/tmp"))
    {
    $params['ERR'][$i]['HEAD'] = "Temporary directory '" . G_INSTALL_DIR."/tmp' does not exist";
    $params['ERR'][$i]['TEXT'] = "...And I could not create it for you.<br>
    Please create it manually and set the permissions to world writeable ('drwxr-xrwx') or set the directory
    ".G_INSTALL_DIR . " to world writeable and run this URL again.";
    $i++;
    }
  else
    {
    @chmod(G_INSTALL_DIR."/tmp",0777);
    }
  }
else if(!@is_writable(G_INSTALL_DIR."/tmp"))
  {
  $params['ERR'][$i]['HEAD'] = "Temporary directory '" . G_INSTALL_DIR."/tmp' is not writable by the server";
  $params['ERR'][$i]['TEXT'] = "Please set the permissions to world writeable ('drwxr-xrwx')";
  $i++;
  }

if($i > 0)  set_exit($params,$STP);
else
  {
  $_SESSION['SETTINGS_OK'] = 1;
  if(is_writable(G_INSTALL_DIR."/include/config.inc"))
    {
    copy(G_INSTALL_DIR."/include/config.inc",G_INSTALL_DIR."/include/config.bak");
    $allcf = file(G_INSTALL_DIR."/include/config.inc");
    foreach($allcf as $cfline)
      {
      $out.= ereg_replace("is_new ?= ?([0-9])", "is_new = 0", $cfline);
      }
    $dd = fopen(G_INSTALL_DIR."/include/config.inc","w");
    fputs($dd, $out);
    fclose($dd);
    }
  }



?>
