<?
/*######################################################
2004 SAMEDIA O.E.  (central@samedia.net)
Central Configuration file for the LandShop System.
######################################################*/


/*######################################################
USER CONFIDURATION PART.
EDIT THESE LINES TO MATCH YOUR SERVER SETTINGS
######################################################*/

/* Set the Database Host */
$host = "localhost";
/* Set the database name */
$db =  "";
/* Set the username */
$dbuser =  "";
/* Set the password */
$dbpwd = "";
/* Table Prefix */
$dbprefix = "LS_";


/* what is the base install dir of your landshop_user
(relative to your document root) */
$landshop_dir = "/landshop-0.6.1";

/* ADMIN PART  */

/* How long shall the cookies live? (Default 1 year) */
$cookie_lifetime = 31536000;  

/* DEBUG */
define("G_DEBUG", 1);


/* #######################################################
 Do not change below this line!
 ####################################################### */

define("G_VERSION", "0.6");
define("G_HOST", $host);
define("G_NORMDB", $db);
define("G_DBUSER", $dbuser);
define("G_DBPWD", $dbpwd);
define("G_DB_PREFIX", $dbprefix);
/* Base Server Directory */
define("G_BASEDIR", $_SERVER['DOCUMENT_ROOT']);
define("G_LANDSHOP_DIR", $landshop_dir);
define("G_BASEURL","http://" . $_SERVER['HTTP_HOST'] . G_LANDSHOP_DIR);
define("G_ADMIN_URL",G_BASEURL."/admin");

include_once(G_INSTALL_DIR . "include/functions.inc");
include_once(G_INSTALL_DIR . "include/parser.inc");
include_once(G_INSTALL_DIR . "include/class_mysql.inc");
$conn = new FastSQL;
$STP = new Parser2;
$params = array();

define("G_COOKIE_LIFETIME", (time() + $cookie_lifetime));
define("G_COOKIE_SEED", "c9713f1d");

// PERPAGE must be defined before the cached configuration is included!
if($_REQUEST['SET_PERPAGE'] != '') define("G_PERPAGE", $_REQUEST['SET_PERPAGE']);


if((@!is_file(G_INSTALL_DIR . "/cache/config.cache.php") || @!is_readable(G_INSTALL_DIR . "/cache/config.cache.php")) && !ereg("admin", $_SERVER['SCRIPT_FILENAME']))  {
  if(@!is_file(G_INSTALL_DIR . "/cache/config.cache.php"))
  Header("Location:".G_ADMIN_URL."/action/config.php");
  exit;
  }
// APPEND the Database contained Configuration
appendConstants();

// Set Array of Languages
$langarray = explode(",",str_replace(" ","",G_LANGUAGES));

// ADMIN ONLY
if((ereg("admin", $_SERVER['SCRIPT_FILENAME']) ||  ereg("install\.php", $_SERVER['SCRIPT_FILENAME']))&& !defined("G_LANG")) {
  define("G_LANG", "en");
  }

elseif($menulang != '') {
  define("G_LANG", $menulang);
  }

elseif($_REQUEST['lang'] == '' && !isset($_REQUEST['lang']) && !@in_array(strtolower($_REQUEST['lang']), strtolower($langarray)))   {
  define("G_LANG", G_USERLANG);
  }
else  {
  define("G_LANG", $_REQUEST['lang']);
  }  
include_once("languages/". strtolower(G_LANG).".inc");
$params = $params + $trans['menu'] + $trans['items'] + $trans['languages'];
if(is_array($trans['usermenu'])) $params = $params + $trans['usermenu'];
$params['charset'] = $trans['charset'];

/********************************************
URL RELATED DEFINITIONS
********************************************/

$params['THIS_URL'] = ereg_replace("//","/",$_SERVER['REQUEST_URI']);
//define('G_TEMPLATES',G_INSTALL_DIR."/templates/".strtolower(G_LANG));
define('G_TEMPLATES',G_INSTALL_DIR."/templates");
define("G_TMP_DIR",G_INSTALL_DIR."/tmp");
define("G_TMP_URL",G_BASEURL."/tmp");
define('G_ACT_URL',$_SERVER['REQUEST_URI']);
define('G_PHPSELF',$_SERVER['PHP_SELF']);

define('G_IMAGES',"/images");
define('G_LANDSHOP_IMAGES',G_LANDSHOP_DIR . "/images");


/* Check for Modules */
if(is_file(G_INSTALL_DIR."/action/wishlist.php"))
  {
  $params['HAS_WISHLIST'] = 1;
  }


/* Image directories and URLs. */
define("G_THUMB_PATH",G_INSTALL_DIR."/object_images/thumbs");
define("G_THUMB_URL",G_BASEURL."/object_images/thumbs");
#define("G_THUMB_URL","http://images.samosnet.com/samosproperties/landshop/object_images/thumbs");
define("G_MEDIUM_PATH",G_INSTALL_DIR."/object_images/medium");
define("G_MEDIUM_URL",G_BASEURL."/object_images/medium");
#define("G_MEDIUM_URL","http://images.samosnet.com/samosproperties/landshop/object_images/medium");
define("G_NORM_PATH",G_INSTALL_DIR."/object_images/norm");
define("G_NORM_URL",G_BASEURL."/object_images/norm");
#define("G_NORM_URL","http://images.samosnet.com/samosproperties/landshop/object_images/norm");

/* Administration Section */
if(ereg("admin",$_SERVER['PHP_SELF']))
  {
  define('G_ADMINTEMPLATES',G_INSTALL_DIR."/admin/templates");
  
  if(!ereg("login\.php", $_SERVER['PHP_SELF'])) {
    $userdata = checkAdminLogin();
    $params['DISPLAY_USR_NAME'] = $userdata['USR_NAME'];
    }
  }

  



if(!ereg("install\.php", $_SERVER['SCRIPT_FILENAME']))  {
  include_once("standard.inc");
  }

/* Security feature: Unset all Request variables and populate them with the originals */
foreach($_REQUEST as $Rname=>$Rval)
  {
  unset($$Rname);
  $$Rname = $Rval;
  }
// Standard php Info Function
if($_REQUEST['phpinfo'] == 1)
  {
  phpinfo();
  exit;
  }
/* DEBUG */
if($_REQUEST['get_userdata'] && G_DEBUG == 1) {
  print "<pre>";
  echo  "Userdata:
  ";
  print_r($userdata);
  print "</pre>";
  exit;
  }

?>
