<?
// Must be relative to the above
//define("LSFonts",'../../fonts/latin1/');
require_once(G_INSTALL_DIR . "include/fpdf/fpdf.php");



class PDF extends FPDF
{
function ConvertToMM($px)
  {
  return(intval($px * 0.352787879));
  }
//Page header
function Header()
  {
//$this->AddFont('arialBoldItalic','','arialBoldItalic.php');
  $this->SetDrawColor(0,2,195);
  $this->SetLineWidth(1.5);
  $this->Rect(10,20,190,267);
/*  $this->SetFillColor(255,204,0);*/
  $this->SetFillColor(255,255,255);
  // Width of Head and Logo for Top block
  //Arial bold 15
  $this->SetFont('arial','',8);
  $addr_w = $this->GetStringwidth($this->address);
  $this->SetFont('ariblk','',15);
  $title_w = $this->GetStringwidth($this->head);
/*
Set the dimensions of the Head Block.
Width is Logo plus Company Title OR address depending which is longer
*/
  $strw = ($addr_w > $title_w) ? $addr_w : $title_w;
  $topw = ($strw + $this->logowidth + 3);

  $borders = ((210 - $topw) / 2);
  $this->Rect($borders,11,$topw,($this->logoheight + 2), 'F');
  $this->SetLineWidth(1.5);
  //Logo
  $this->Image(G_INSTALL_DIR . $this->logo,($borders + 1),12,$this->logowidth);
  //Move to the right
  $this->SetY((($this->logoheight + 2) / 2) + 10);
  $this->SetX($this->logowidth + 1 + $borders);
  $this->Cell($strw,0,$this->head,0,2,'C');

  //Title
  $this->SetFont('arial','',8);
//  $this->Cell(0,10,$this->GetY(),0,0,'R');
  $this->Cell($strw,12,$this->address,0,0,'C');
  //Line break
  $this->SetLeftMargin(12);
  $this->SetY(11 + ($this->logoheight + 2));
  }

//Page footer
function Footer()
  {
    //Position at 1.5 cm from bottom
  $this->SetTextColor(0,2,195);
  $this->SetY(-20);
    //Arial italic 8
  $this->SetFont('arial','BIU',11);
    //Page number
    //$this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'C');
  $this->Link((((210 - $this->getStringWidth(G_BASEURL)) / 2)), $this->getY(), $this->getStringWidth(G_BASEURL), 12, G_BASEURL);
  $this->Cell(0,10,G_BASEURL,0,0,'C');
  }
}
?>
