<?
if(isset($_REQUEST['PDF_LANG'])) {
  $PDF_LANG = $_REQUEST['PDF_LANG'];
  }
else $PDF_LANG = G_LANG;

if($PDF_LANG != "GR")
  {
  define('FPDF_FONTPATH',G_INSTALL_DIR.'/include/fonts/latin1_new/');
  }
//else define('FPDF_FONTPATH','../include/fonts/greek_new/');
else  define('FPDF_FONTPATH',G_INSTALL_DIR.'/include/fonts/greek_new/');
include_once(G_INSTALL_DIR . "include/main_pdf.inc");
include_once(G_INSTALL_DIR . "include/math.fnc");
include_once(G_INSTALL_DIR . "include/char.fnc");

$OB_ID = $_REQUEST['OB_ID'];
$OB_CATID = $_REQUEST['OB_CATID'];
$todo = $_REQUEST['action'];
// TEST ONLY
/*
$OB_ID=52;
$OB_CATID=1;
$todo = "cat";
*/

//Instanciation of inherited class
$pdf=new PDF("P","mm","A4");
$pdf->logo    = G_PDF_LOGO;
$pdf->head    = G_PDF_HEADLINE;
$pdf->address = G_PDF_ADDRESS;
$ww = getimagesize(G_INSTALL_DIR.$pdf->logo);
// Width is divided by 2 to gain dpi
$pdf->logowidth= ($pdf->ConvertToMM($ww[0]) / 3);
$pdf->logoheight = ($pdf->ConvertToMM($ww[1]) / 3);
$pdf->AddFont('arial','','arial.php');
$pdf->AddFont('ariblk','','ariblk.php');
$pdf->AddFont('arialbd','','arialbd.php');
$pdf->AddFont('arialbi','','arialbi.php');
$pdf->AliasNbPages();
$pdf->AddPage();


/*
MakeOutput
Central Page Output(Array SetOfData)
*/
function MakeOutput($sd)
  {
  global $pdf;
  extract($sd);
  include(G_INSTALL_DIR."include/languages/".strtolower($OTR_LANG).".inc");
  $maxw = 0;
  $maxh = 0;
  for($i = 1;$i <= 5;$i++)
    {
    if(is_file(G_NORM_PATH."/".$sd['OB_ID']."_" . $i . ".jpg"))
      {
      $size = getimagesize(G_NORM_PATH."/".$sd['OB_ID']."_" . $i . ".jpg");
      $OB_W = ($pdf->ConvertToMM($size[0])/ 2);
      if($OB_W > $maxw)
        {
        $maxw = $OB_W;
        }
      if($OB_H > $maxh)
        {
        $maxh = $OB_H;
        }
      }
    }
  $pdf->SetTextColor(0,2,195);
  $pdf->SetFont('arialbi','',14);
  // Rent objects have even Cat IDs
  if(is_int($OB_CATID / 2))
    $firstl = $trans['items']['for_rent'] . ": ";
  else
    $firstl = $trans['items']['for_sale'] . ": ";
  $secl = $OTR_HEAD;
  $firstw = $pdf->GetStringWidth($firstl) ;
  $secw = $pdf->GetStringWidth($secl) ;
  $allw = ($pdf->GetStringWidth($firstl) + $pdf->GetStringWidth($secl)) ;
  $pdf->SetX(((210 - $allw) / 2));
  $pdf->Cell($firstw,14,$firstl ,0,0,'L');
  $pdf->Link((((210 - $allw) / 2)), $pdf->getY(), $allw, 14, G_BASEURL."/action/ls.php?action=single&OB_ID=$OB_ID");

  $pdf->SetTextColor(0,0,0);
  $pdf->Cell((((210 - $allw) / 2) + $firstw),14,$secl ,0,1,'L');
  
  /* Start of Text. Used for Image alignment as well */
  $topborder = ($pdf->GetY() + $maxh + 8);
  $pdf->setY($topborder);

  CreatePair($trans['items']['object'] . " " . $trans['items']['number'] . "#", 12, $OB_ID, 12);
  CreatePair($trans['items']['city'] . ": ",12, $OTR_CITY, 12);
  CreatePair($trans['items']['sqm'] . ": ", 12, $OB_SQM, 12);


  $pdf->SetFont('arialbd','',12);
  $nline = $trans['items']['description'] . ": ";
  $nw = ($pdf->GetStringWidth($nline) + 1);
  $pdf->Cell($nw,7, $nline ,0,1);
  $pdf->SetFont('arial','',10);

  $pdf->MultiCell((210-14-$maxw - 14),5, $OTR_SHORTTEXT . $OTR_LONGTEXT ,0,1);
  $pdf->SetX(12);
  $pdf->Ln();

  // Rent objects have even Cat IDs
  if(is_int($OB_CATID / 2))
    {
    $pricetag = FormatPrice($OB_PRICE) . " / " . $trans['items']['month'];
    }
  else $pricetag = FormatPrice($OB_PRICE);
  CreatePair($trans['items']['price'] . ": EUR ", 14, $pricetag, 14);


  $pdf->setY($topborder);
  $starty = $topborder;
  $startx = (210 - 14 - $maxw);
  $maxh = (297 - 14);
  for($i = 1;$i <= 5;$i++)
    {
    if(is_file(G_NORM_PATH."/".$sd['OB_ID']."_" . $i . ".jpg"))
      {
      $size = getimagesize(G_NORM_PATH."/".$sd['OB_ID']."_" . $i . ".jpg");
      $OB_W = ($pdf->ConvertToMM($size[0])/ 2);
      $OB_H = ($pdf->ConvertToMM($size[1])/ 2);
      if(($starty + $OB_H) < $maxh)
        {
        $pdf->image(G_NORM_PATH."/".$sd['OB_ID']."_" . $i . ".jpg", $startx,$starty,$OB_W,$OB_H);
        $starty += ($OB_H + 3);
        }
      else break;
      }
    }
  }
/*END MakeOUTPUT()*/

/*
CreatePair (str first, int fontheight-first, str second, str fontheight-second)

Outputs a pair of a descriptor in bold and the text in normal font
*/
function CreatePair($first, $ff, $second, $fs)
  {
  global $pdf;
  $pdf->SetFont('arialbd','',$ff);
  $nline = $first;
  $nw = ($pdf->GetStringWidth($nline) + 1);
  $pdf->Cell($nw,7, $nline ,0,0);
  $pdf->SetFont('arial','',$fs);
  $nline = $second;
  $nw = ($pdf->GetStringWidth($nline) + 1);
  $pdf->Cell($nw,7, $nline ,0,1);
  $pdf->SetX(12);

  }
?>
