<?
$ins[] = "CREATE TABLE " . G_DB_PREFIX . "CONFIG (
  CF_PARAM varchar(24) NOT NULL default '',
  CF_VALUE text NOT NULL,
  PRIMARY KEY  (CF_PARAM)
)";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_MAP_WINDOW_H', '480')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_MAP_WINDOW_W', '740')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_USERLANG', 'en')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_MAP_ACC', '0.01')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_PERPAGE', '20')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_CONTACT_MAIL', '/images')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_USEGOOGLEMAP', 'Y')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_MAP_LATITUDE', '26.817626953125')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_MAP_LONGITUDE', '37.724021664606276')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_MAP_ZOOMLEVEL', '6')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_GOOGLE_APIKEY', '')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_USERURL', '/')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_IMAGES', '/images')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_LANGUAGES', 'en,de,es,fr,gr')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_TITLE', 'LANDSHOP')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_OBJECT_PREFIX', 'LS-')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_PDF_HEADLINE', 'S A M E D I A   O. E.')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_PDF_ADDRESS', 'Samedia OE  Th. Sofouli 78  83100 Samos  Tel:+30 22730 28383')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_PDF_LOGO', '/images/logo_highres.jpg')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_CONTACT_ADDRESS', 'Samedia OE\r\nTh. Sofouli 78&lt;br&gt;\r\nSamos Island - 83100&lt;br&gt;\r\nGreece')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_CONTACT_TELEPHONE', '+30-273 028383 (office hours: 09:00- local time)')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_CONTACT_FAX', '+30-273 022083')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_CONTACT_EMAIL', 'office@samedia.net')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_CURRENCY', 'EUR')";
$ins[] = "INSERT INTO " .G_DB_PREFIX."CONFIG VALUES ('G_EXCHANGE', 'USD, CHF, GBP, AUD, CAD, DKK, NOK, SEK')";
$ins[] = "CREATE TABLE " .G_DB_PREFIX."OBJECTS (
  OB_ID int(11) NOT NULL auto_increment,
  OB_UD timestamp NOT NULL,
  OB_CATID smallint(6) NOT NULL default '0',
  OB_AREAID smallint(6) NOT NULL default '0',
  OB_SQM decimal(9,2) NOT NULL default '0.00',
  OB_PRICE decimal(10,2) NOT NULL default '0.00',
  OB_OFFER tinyint(4) NOT NULL default '0',
  OB_NEW tinyint(4) NOT NULL default '0',
  OB_SOLD tinyint(4) NOT NULL default '0',
  OB_MAPX decimal(16,14) NOT NULL default '0.00000000000000',
  OB_MAPY float(16,14) NOT NULL default '0.00000000000000',
  OB_CD timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (OB_ID),
  UNIQUE KEY OB_ID (OB_ID),
  KEY OB_CATID (OB_CATID,OB_AREAID),
  KEY OB_MAPX (OB_MAPX),
  KEY OB_MAPY (OB_MAPY)
)";
$ins[] = "CREATE TABLE " . G_DB_PREFIX . "OBJECT_TR (
  OTR_ID int(11) NOT NULL auto_increment,
  OTR_OBJECTID int(11) NOT NULL default '0',
  OTR_LANG varchar(4) NOT NULL default '',
  OTR_HEAD mediumtext NOT NULL,
  OTR_SHORTTEXT text NOT NULL,
  OTR_LONGTEXT text NOT NULL,
  OTR_CITY varchar(96) NOT NULL default '',
  OTR_STREET varchar(96) NOT NULL default '0',
  OTR_UD timestamp NOT NULL,
  PRIMARY KEY  (OTR_ID),
  UNIQUE KEY OTR_ID (OTR_ID),
  KEY OTR_OBJECTID (OTR_OBJECTID,OTR_LANG),
  KEY OTR_CITY (OTR_CITY)
)";

$ins[] = "CREATE TABLE " . G_DB_PREFIX . "TRANSLATION (
  TR_ID int(11) NOT NULL auto_increment,
  TR_REFNAME varchar(48) NOT NULL default '',
  TR_REFID int(11) NOT NULL default '0',
  TR_LANG varchar(4) NOT NULL default '',
  TR_TEXT varchar(255) NOT NULL default '',
  TR_UD timestamp NOT NULL,
  TR_CD timestamp NOT NULL default '0000-00-00 00:00:00',
  UNIQUE KEY TR_ID (TR_ID),
  KEY TR_REFNAME (TR_REFNAME,TR_REFID,TR_LANG)
)";
$ins[] = "CREATE TABLE " . G_DB_PREFIX . "USERS (
  USR_ID tinyint(4) NOT NULL auto_increment,
  USR_STATUS tinyint(4) NOT NULL default '1',
  USR_NAME varchar(72) NOT NULL default '',
  USR_LOGIN varchar(32) NOT NULL default '',
  USR_PWD varchar(32) NOT NULL default '',
  USR_EMAIL varchar(96) NOT NULL default '',
  USR_UD timestamp NOT NULL,
  USR_CD timestamp NOT NULL default '0000-00-00 00:00:00',
  UNIQUE KEY USR_ID (USR_ID),
  KEY USR_NAME (USR_NAME)
)";
$ins[] = "INSERT INTO " . G_DB_PREFIX . "USERS VALUES (1, 2, 'Administrator', 'Administrator', '7b7bc2512ee1fedcd76bdc68926d4f7b', 'administrator@landshop.gr', '2004-07-04 17:48:28', '2004-06-19 17:41:32')";
$ins[] = "CREATE TABLE " . G_DB_PREFIX . "WISHLIST (
  WI_ID int(11) NOT NULL auto_increment,
  WI_CLIENTID mediumint(9) NOT NULL default '0',
  WI_OBID mediumint(9) NOT NULL default '0',
  WI_UD timestamp NOT NULL,
  PRIMARY KEY  (WI_ID),
  KEY WI_CLIENTID (WI_CLIENTID,WI_OBID)
)";
$ins[] = "CREATE TABLE " . G_DB_PREFIX . "WISH_CLIENTS (
  WC_ID mediumint(9) NOT NULL auto_increment,
  WC_MAIL varchar(96) NOT NULL default '',
  WC_SESSID varchar(144) NOT NULL default '',
  WC_UD timestamp NOT NULL,
  PRIMARY KEY  (WC_ID),
  UNIQUE KEY WC_MAIL (WC_MAIL)
)";